@import url('travel_place.css');

#review-bar,
#review-bar * {
    box-sizing: border-box;
    margin: 0;
    padding: 0;
}

#review-bar {
    min-height: 70px;
    /* max-height: 120px; */
    padding: 15px 25px 15px 10px;
    background-color: rgb(71, 71, 71);
    height: 100%;
    display: flex;
    gap: 30px;
    /* justify-content: center; */
    align-items: center;
    font-size: 3vw;
    box-shadow: 5px 0px 10px 10px rgb(5, 5, 5);
}


#review-bar .Title {
    flex-grow: 1;
    text-align: center;
}


.ConfigButton,
.BackButton,
.IconButton {
    background-size: 80%;
    background-repeat: no-repeat;
    background-position: center;
    border-radius: 50%;
    height: 4vw;
    width: 4vw;
    min-height: 50px;
    min-width: 50px;
    max-width: 80px;
    max-height: 80px;
    /* border: solid 1px red; */
}


#review-bar .BackButton {
    background-image: url(../images/icons/back_2.png);
}

/* #review-bar .IconButton { */
/* background-image: url(../images/icons/love.png);
    background-color: mediumpurple
} */


.BackButton:hover,
.IconButton:hover {
    transform: scale(1.2);
    transition: all .3s;
    cursor: pointer;
}

@media (min-width: 0px) and (max-width: 700px) {
    #review-bar {
        font-size: 4vw;
    }

    .ConfigButton,
    .BackButton,
    .IconButton {
        width: 6vw;
        height: 6vw;
    }
}

@media (min-width: 1280px) {
    #review-bar {
        font-size: 2.5vw;
    }

    .ConfigButton,
    .BackButton,
    .IconButton {
        width: 3vw;
        height: 3vw;
    }
}

@media (min-width: 1980px) {
    #review-bar {
        font-size: 1.5vw;
    }

    .ConfigButton,
    .BackButton,
    .IconButton {
        width: 2.5vw;
        height: 2.5vw;
    }
}